:root {
    /* color */
    --main_deap-red: #cb4042;
    --main_white: #fff;
    --main_cherry-blossom: #fff3f4;
    --sub_gray: #eeeded;
    --sub_gray2: #f6f5f5;
    --font_black: #666666;
    --font_white: #fff;
    --line: #e7e7e7;
    --post-date: #707070;
    --bg_footer: #1c1c1c;
    --gold: #dcc878;
    --silver: #c0c0c0;
    --bronze: #c47222;
  
    /* font family */
    --logo-font-family: "Cormorant Garamond", serif;
    --title-font-family: "Times New Roman", Times, serif;
    --text-font-family: Arial, Helvetica, sans-serif;
    /* --text-font-family:"Open Sans", sans-serif; */
    
    --content-erea-width: 1400px;

    /* font size(default:16px) */
    --title-fontSize-3XL:6.4rem;/* about-幅1200px以上 */
    --title-fontSize-2XL:5.6rem;/* about-幅1024px以上 */
    --title-fontSize-XL:4.8rem;/* about-幅768px以上 */
    --title-fontSize-L:3.2rem;/* topページh2タグ_PC */
    --title-fontSize-M:2.4rem;
    --title-fontSize-s:2rem;
    --text-fontSize-L:1.8rem;/* カードタイトル_PC */
    --text-fontSize-M:1.6rem;/* default */
    --text-fontSize-S:1.2rem;/* 投稿日、カテゴリー */
    --text-fontSize-SS:1rem;/* 投稿日、カテゴリー */

    --front-page-about-title-fs:clamp(4rem, 6vw, 6.4rem);/* アイキャッチタイトル */
    --card-title-fs:clamp(1.4rem, 3vw, 2rem);/* カードタイトル */
    --content-title-fs:clamp(2rem, 4vw, 3.2rem);/* コンテンツタイトル_h2 */
    --content-title-fs-m:clamp(1.6rem, 3vw, 2.4rem);/* コンテンツタイトル_h3 */
    --text-fs:clamp(1.4rem, 2.5vw, 1.6rem);/* 本文 */
    --small-fs:clamp(1rem, 2.5vw, 1.2rem);/* 日付、カテゴリ */
  }

  body {
    font-family: var(--text-font-family);
    color: var(--font_black);
    overflow-x: hidden;
    background-image: url(../img/桜背景用.png);
    background-attachment: fixed;
  }
  
  /* @media screen and (max-width: 1024px) {
    body {
      font-size: 1.4rem;
    }
  } */
  .highlight {
    color: var(--main_deap-red);
  }


/* 共通（ヘッダー直下）のコンテンツ幅　例）投稿ページ
  ---------------------------------------------------------------------------*/
  .content-area__layout{
    width: 100%;
    max-width: var(--content-erea-width);
    margin: 90px auto 0 auto;
    padding: 0 40px;
    background-color: var( --main_white);
  }

  @media screen and (max-width: 1024px) {
    .content-area__layout {
        margin: 60px auto 0 auto;
        padding: 0 20px;
    }
  }

  /* 共通（サムネイル直下）のコンテンツ幅　例）固定ページ
  ---------------------------------------------------------------------------*/
  .content-area__layout2{
    width: 100%;
    max-width: var(--content-erea-width);
    margin:0 auto;
    padding: 0 40px;
    background-color: var( --main_white);
  }

  @media screen and (max-width: 1024px) {
    .content-area__layout2 {
        padding: 0 20px;
    }
  }

/* 本文文字（c-txt）
  ---------------------------------------------------------------------------*/

  .c-txt {
    font-size: var(--text-fs);
  }

/* セクションの上下マージン
  ---------------------------------------------------------------------------*/
  /* マージン：大 */
.section--mt-lg {
  margin-top: 80px;
}
.section--mb-lg {
  margin-bottom: 80px;
}

/* マージン：中 */
.section--mt-md {
  margin-top: 40px;
}
.section--mb-md {
  margin-bottom: 40px;
}

/* マージン：小
topページ：top-title */
.section--mt-sm {
  margin-top: 24px;
}
.section--mb-sm {
  margin-bottom: 24px;
}/*topページ：top-title */

/* 両方にマージンを付けたい場合 */
.section--my-lg {
  margin: 80px 0;
}
.section--my-md {
  margin: 48px 0;
}
.section--my-sm {
  margin: 24px 0;
}



/* ボタン（c-btn）
  ---------------------------------------------------------------------------*/
  .btn-wrapper{  /* load moreボタンの配置用 */
    display: flex;
    justify-content: center;
  }
  .c-btn__style {
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 180px;
    /* padding: 16px 48px 16px 16px; */
    padding: 1em 3em 1em 1em;
    border: 1px solid var(--main_deap-red);
    border-radius: 50px;
    background: var(--main_deap-red);
    color: var(--font_white);
    font-family: var(--title-font-family);
    font-size: var(--text-fs);
    letter-spacing: 0.2em;
    transition: 0.3s ease-in-out;
  }

  .c-btn__style:after {
    content: "";
    position: absolute;
    top: 50%;
    right: 32px;
    width: 6px;
    height: 6px;
    display: flex;/*不要？*/
    justify-content: center;/*不要？*/
    align-items: center;
    border-top: solid 2px currentColor;
    border-right: solid 2px currentColor;
    transform: translateY(-50%) rotate(45deg);
    transition: right 0.3s;
  }

  .c-btn__style:hover,
  .c-btn__style:active,
  .c-btn__style:focus {
    background: var(--main_white);
    color: var(--main_deap-red);
    border: 1px solid var(--main_deap-red);
  }
  
  .c-btn__style:hover:after,
  .c-btn__style:active:after,
  .c-btn__style:focus:after {
    right: 1.4rem;
  }
  
  @media screen and (max-width: 768px) {
    /* .c-btn__style{
      padding: 16px 40px 16px 16px;
    }
    .c-btn__style:after {
      right: 32px;
    } */
  }

  .is-hidden {
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
  }
 
  
  /* カード共通
    ---------------------------------------------------------------------------*/
.cards__wrapper {
  margin-bottom: 72px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 32px;
}

@media screen and (max-width: 1024px) {
  .cards__wrapper {
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
  }
}
@media screen and (max-width: 768px) {
  .cards__wrapper {
    grid-template-columns: 1fr;
    margin-bottom: 32px;
  }
}

.card {
  display: flex;
  flex-direction: column;
}

.card__item {
  border-radius: 16px;
  background-color: var(--main_white);
}

.card__thumb {
  border-radius: 16px;
  overflow: hidden;
}

.card__thumb img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 8/5;
  transition: transform 0.5s ease;
  border-radius: 16px;
}

.card:hover .card__title{
  color: var(--main_deap-red);
}

.card:hover .card__thumb img {
  transform: scale(1.1);
}

@media (hover: none) {
  .card:active .card__title{
    color: var(--main_deap-red);
  }

  .card:active .card__thumb img {
    transform: scale(1.1);
  }
}

.card__body {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 8px;
  padding: 16px;
}
.card__title {
  font-size: var(--card-title-fs);
  font-weight: bold;
  font-family: var(--title-font-family);
  transition: transform 0.3s ease;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.post-date {
  display: flex;
  align-items: center;
  gap: 4px;
  font-family: var(--title-font-family);
  font-size: var(--small-fs);
  color: var(--post-date);
}

.category {
  display: flex;
  gap: 8px;
  flex-wrap:nowrap;
}

.category-badge {
  display: flex;
  align-items: center;
  gap: 4px;
  border-radius: 8px;
  padding:2px 8px;
  background-color: var(--sub_gray);
  font-size: var(--small-fs);
  border: 1px solid var(--sub_gray);
  transition: 0.3s ease;
}

.category-badge:hover {
  background-color: var(--sub_gray2);
}

@media screen and (max-width: 520px) {
  .card__body {
    width: 100%;
    gap: 8px;
    padding: 8px 8px 8px 16px;
    justify-content: space-around;
  }
}

/* カード　ランキング番号
  ---------------------------------------------------------------------------*/
.c-card__ranking{
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  left: -12px;
  top: -12px;
  z-index: 10;
  border: 2px solid #fff;
  border-radius: 50%;
  color: var(--main_white);
  font-family: var(--title-font-family);
  font-weight: bold;
  width: 35px;
  height: 35px;
  font-size: var(--title-fontSize-S);
}

.card__ranking--gold {
  background-color: var(--gold);
}
.card__ranking--silver {
  background-color: var(--silver);
}
.card__ranking--bronze {
  background-color: var(--bronze);
}
.card__ranking--normal {
  background-color: var(--post-date);
}

@media screen and (max-width: 768px) {
  .card__ranking {
    width: 35px;
    height: 35px;
    font-size: var(--title-fontSize-S);
  }
}



/* パンくずリスト
    ---------------------------------------------------------------------------*/
.breadcrumbsWrap {
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  width: 100vw;
  max-width: 100vw;
  font-size: var(--small-fs);
  color: var(--post-date);
  padding: 8px;
  overflow-x: hidden;
  background-color: var(--sub_gray2);
}
.breadcrumbsWrap.no-bg {
    background-color: var(--main_white);
}
.breadcrumbsInner {
  width: 100%;
  max-width: var(--content-erea-width);
  padding: 0 40px;
  margin: 0 auto;
}
@media screen and (max-width: 1024px) {
  .breadcrumbsInner {
    padding: 0 20px;
  }
}
.breadcrumbs{
  display: flex;
  align-items: center;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.home{
  display: flex;
  align-items: center;
  gap: 2px ;
}

.arrow{
  display: block;
  margin:0 8px;
}
.arrow::after{
  background-color: var(--font_black);
  clip-path: polygon(45% 9%, 75% 51%, 45% 90%, 30% 90%, 60% 50%, 30% 10%);
  content: "";
  display: block;
  height: 10px;
  width: 10px; 
}

.breadcrumbs__margin-top{
  margin-top: 90px;
}
@media screen and (max-width: 1024px) {
  .breadcrumbs__margin-top {
    margin-top: 60px;
  }
}

/* icon
  ---------------------------------------------------------------------------*/
  .icon-home::before {
    font-family: "Material Symbols Outlined";
    content: "\e88a";
    font-size: var(--small-fs);
  }

  .icon-date::before {
    font-family: "Material Symbols Outlined";
    content: "\e8b5";
    font-size: var(--small-fs);
  }

  .icon-category::before {
    font-family: "Material Symbols Outlined";
    content: "\e2c7";
    font-size: var(--small-fs);
  }


/* アニメーション
  ---------------------------------------------------------------------------*/
  .no-transition {
    transition: none !important;
  }
  
  .slide-left {
    opacity: 0;
    transform: translateX(-40px);
    transition: opacity 0.5s ease, transform 1.5s ease;
  }
  
  .slide-right {
    opacity: 0;
    transform: translateX(40px);
    transition: opacity 0.5s ease, transform 1.5s ease;
  }
  
  .slide-left.active,
  .slide-right.active {
    opacity: 1;
    transform: translateX(0);
  }

/* カテゴリーリスト
  ---------------------------------------------------------------------------*/
  .c-sublist--width{
    width: 100%;
    /* width: calc(100vw/3 - 40px); */
  }
  
  .c-sub-list__title {
    position: relative;
    font-family: var(--title-font-family);
    font-size: var(--card-title-fs);
    padding: 8px;
    margin-bottom: 24px;
  }

  .c-sub-list__title::before {
    position: absolute;
    content: "";
    left: 0;
    bottom: 0;
    width: 20%;
    height: 2px;
    background-color: var(--main_deap-red);
    z-index: 1;
  }
  .c-sub-list__title::after{
    position: absolute;
    content: "";
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--line);
  }

.cat-list{
  background-color: var(--main_white);
}

.cat-list__items{
  display: flex;
  flex-direction: column;
}

.cat-list__parent{
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid var(--line);
  transition: 0.3s ease;
}
.cat-list__parent:hover{
  background-color: var(--main_cherry-blossom);
}

.cat-list__parent a{
  display: flex;
  align-items: center;
  width: 100%;
  padding: 0.75em 0.5em;
  line-height: 1.5em;
  font-size: var(--text-fs);
  transition: 0.3s ease;
}
.cat-list__parent a:hover{
  color: var(--main_deap-red);
}

.cat-list__toggle{
  position: relative;
  height: 28px;
  width: 28px;
  line-height: 28px;
  margin-right: 16px;
  background-color: var(--main_white);
}

.cat-list__toggle::before {
  font-family: "Material Symbols Outlined";
  display: flex;
  justify-content: center;
  align-items: center;
  content: "\e313";
  font-size: var(--content-title-fs-m);
  height: 100%;
  width: 100%;
  padding: 0;
  transition: transform 0.3s ease;
}

.cat-list__toggle::after{
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 1px solid var(--line);
}

.cat-list__toggle:hover{
  color: var(--main_deap-red);
}
.cat-list__toggle[aria-expanded="true"]::before {
  transform: rotate(-180deg);
}
.cat-list__toggle[aria-expanded="true"]{
  color: var(--main_deap-red);
}

.cat-list__children a{
  padding-left: 24px;
  font-size: calc(var(--text-fs) * 0.9);
}

.cat-list__children--hidden{
  display: none;
}

.cat-list__items > .cat-list__item > .cat-list__parent a::before {
  font-family: "Material Symbols Outlined";
    content: "\e2c7";
    font-size: var(--text-fs);
    margin-right: 0.5em;
}

/* サブリスト　カード-横並型（related-post,popular-post共通）
  ---------------------------------------------------------------------------*/
  .related-posts{
    background-color: var(--main_white);
  }

.sl__cards{
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 16px;
}

.sl__card{
  position: relative;
}

.sl__card-item{
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  gap: 16px;
}

.sl__card-thumb{
  aspect-ratio: 1 / 1;
  flex-shrink: 0;
  width: 100px;
  height: 100px;
  overflow: hidden;
  border-radius: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sl__card-thumb img{
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 1/1;
  transition: transform 0.5s ease;
  border-radius: 16px;
}

.sl__card-item:hover .card__title {
  color: var(--main_deap-red);
}
.sl__card-item:hover .sl__card-thumb img {
  transform: scale(1.1);
}

/* サブリスト　カード-縦型（related-postのみ、画面幅768px以上のスタイル）
  ---------------------------------------------------------------------------*/

@media screen and (min-width: 1024px) {
  .related-posts--responsive .sl__cards{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
  }

  .related-posts--responsive .sl__card-item{
    flex-direction: column;
    align-items: flex-start;
    gap: 0;
  }

  .related-posts--responsive .sl__card-body{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 8px;
    padding: 8px;
  }

  .related-posts--responsive .sl__card-thumb{
    aspect-ratio: 8/5;
    width: 100%;
    height: 100%;
    border-radius: 16px;
    overflow: hidden;
  }
  
  .related-posts--responsive .sl__card-thumb img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 8/5;
    transition: transform 0.5s ease;
    border-radius: 16px;
  }
}

/* サブリスト配置共通（popular-posts categories）
　　※singleページ分はsingle-page.cssに記載
  ---------------------------------------------------------------------------*/
  .c-sublist__wrapper{
    display: flex;
    align-items: flex-start;
    gap: 40px ;
    margin-top: 100px;
}
@media screen and (max-width: 1024px) {
    .c-sublist__wrapper{
      flex-direction: column;
      align-items: center;
    }
  }

  






